From 98c5bd280a550e3c0127fb7cafbb886ff121db5a Mon Sep 17 00:00:00 2001
From: Pavel Borisov <pashkin.elfe@gmail.com>
Date: Fri, 22 Mar 2024 11:58:09 +0400
Subject: [PATCH] Fix oversight in refactoring in 06b10f80ba4.

It was against intended skipping prechecking keys optimization in the
first page of range queries to not influence point queries performance.

Per report of Anton Melnikov.
---
 src/backend/access/nbtree/nbtsearch.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/access/nbtree/nbtsearch.c b/src/backend/access/nbtree/nbtsearch.c
index 23e723a233..e3fff90d8e 100644
--- a/src/backend/access/nbtree/nbtsearch.c
+++ b/src/backend/access/nbtree/nbtsearch.c
@@ -2498,7 +2498,7 @@ _bt_endpoint(IndexScanDesc scan, ScanDirection dir)
 	/*
 	 * Now load data from the first page of the scan.
 	 */
-	if (!_bt_readpage(scan, dir, start, false))
+	if (!_bt_readpage(scan, dir, start, true))
 	{
 		/*
 		 * There's no actually-matching data on this page.  Try to advance to
-- 
2.39.2 (Apple Git-143)

